rizq_sanjaya_app/urls.py
from django.urls import path, include
from .views import *
from django.contrib.auth import views as auth_views


app_name = 'profile'
urlpatterns = [
    path('', dashboard.index, name='home'),
    path('calculate_loan', dashboard.calculate_loan, name='calculate_loan'),

    #INI ADALAH YOGYAEXPLORE
    path('profile/', dashboard.profil, name='profil'),
    path('paket/', dashboard.paket, name='paket'),
    path('detail_paket/<int:id>', dashboard.detail_paket, name='detail_paket'),
    path('cara_bayar/', dashboard.cara_bayar, name='cara_bayar'),
    path('gallery/', dashboard.galeri, name='galeri'),
    path('berita/', dashboard.beritaMobil, name='berita'),
    path('detail_info/<str:slug>', dashboard.detail_info, name='detail_info'),
    path('detail_mobil/<str:id>', dashboard.detail_mobil, name='detail_mobil'),
    path('promo/', dashboard.promo, name='promo'),
    path('pricelist/', dashboard.pricelist, name='pricelist'),
    path('category/<int:id>', dashboard.kategori, name='kategori'),
    path('detail_berita/<str:slug>', dashboard.detail_berita, name='detail_berita'),
    path('contact/', dashboard.kontak, name='kontak'),

    # path('gallery/', dashboard.gallery, name='gallerry'),
    path('prev/<int:id>/', dashboard.prev, name='prev'),
    path('next/<int:id>/', dashboard.next, name='next'),
    path('Category/', dashboard.ajax, name='ajax'),
    path('Produk/<int:id>', dashboard.produk, name='produk'),
    path('contact_us/', dashboard.contact, name='contact'),
    path('supplier/', dashboard.supplier, name='supplier'),
    path('render_laporan/', dashboard.render_laporan, name='render_laporan'),
    # url(r'refresh/$', views.captcha_refresh, name='captcha-refresh')
    # path('captcha/refresh/', guestbook.captcha_refresh, name='captcha_refresh'),

    # ABOUT ==================
    path('about/', halaman.index_about, name='idx_about'),
    
    # Mobil ==================
    path('kategori_mobil/<int:id_kat>', mobil_front.index, name='kategori_mobil'),

    # KONTAK PAJERO SPORT ==================
    path('contact/', halaman.index_contact, name='idx_contact'),

    # === Layanan ========================
    path('layanan/', layanan.index, name='layanan'),
    path('layanan/<str:jenis>', layanan.detail, name='layanan'),
    path('layanan/komoditas/<str:jenis>', layanan.detail_komoditas, name='detail_komoditas'),

    # DOKUMEN PUBLIKASI
    # path('dokumen/', documents.index, name='document'),
    # path('dokumen/<str:slug>', documents.detail, name='document_detail'),
    
    # NEWS ========================================
    path('berita/', news.index, name='news'),
    path('berita/<str:slug>', news.detail, name='news_detail'),
    path('berita/category/<str:jenis>/<str:slug>', news.category, name='news_by_category'),

    # DOKUMEN PUBLIKASI
    path('galeri/', gallery.index, name='gallery'),
    path('galeri/<str:slug>', gallery.detail, name='gallery_detail'),
    # path('galeri/category/<str:slug>', gallery.category, name='gallery_by_category'),

    # PAGES
    # path('profil/<str:slug>', pages.index, name='pages'),

    # AGENDA
    # path('agenda/', agenda.index, name='agenda'),
    # path('api/agenda/get', agenda.get_agenda, name='agenda_get'),
    # path('agenda/<str:slug>', agenda.get_agenda_detail, name='agenda_detail'),

    # BUKU TAMU
    # path('buku_tamu/', guestbook.index, name='guestbook'),

    # PENGADUAN
    # path('complaint/', complaint.index, name='complaint'),

    # PENGUMUMAN
    # path('pengumuman/', announcement.index, name='announcement'),
    # path('pengumuman/<str:slug>', announcement.detail_front, name='announcement_detail'),

    # TAGS
    path('tags/<str:jenis>/<str:slug>', tags.index, name='tags'),

    # PASSWORD
    # path("password_reset", user.password_reset_request, name="password_reset"),
    # path('password_reset/done/', auth_views.PasswordResetDoneView.as_view(template_name='profile/admin/user/password/password_reset_done.html'), name='password_reset_done'),
    # path('password/reset/<uidb64>/<token>/', auth_views.PasswordResetConfirmView.as_view(template_name="profile/admin/user/password/password_reset_confirm.html"), name='password_reset_confirm_custom'),

    # PATH URL UNTUK ADMIN 
    path('manage_panel/', include(
        [
            path('', admin.index, name='admin_home'),
            path('verification/', user.verification, name='admin_verification'),
            path('send_verification/', user.send_verification, name='admin_send_verification'),
            path('email/verify/<uidb64>/<token>/',user.email_verify, name='admin_email_verify'),

            # PRODUK =====================================
            path('product/', include(
                [
                    path('', product.admin_index, name='admin_product'),
                    path('add/', product.create, name='admin_product_create'),
                    path('edit/<str:slug>', product.edit, name='admin_product_edit'),
                    path('detail/<str:slug>', product.admin_detail, name='admin_product_detail'),
                    path('soft_delete/<str:slug>', product.softDelete, name='admin_product_soft_delete'),
                    path('permanent_delete/<str:slug>', product.permanentDelete, name='admin_product_permanent_delete'),
                    path('restore/<str:slug>', product.restore, name='admin_product_restore'),
                ]
            )),
            
            # NEWS BERITA
            path('news/', include(
                [
                    path('', news.admin_index, name='admin_news'),
                    path('create/', news.create, name='admin_news_create'),
                    path('edit/<str:slug>', news.edit, name='admin_news_edit'),
                    path('detail/<str:slug>', news.admin_detail, name='admin_news_detail'),
                    path('soft_delete/<str:slug>', news.softDelete, name='admin_news_soft_delete'),
                    path('permanent_delete/<str:slug>', news.permanentDelete, name='admin_news_permanent_delete'),
                    path('restore/<str:slug>', news.restore, name='admin_news_restore'),
                ]
            )),

            path('kata_mereka/', include(
                [
                    path('', kata.admin_index, name='admin_KM'),
                    path('create/', kata.create, name='admin_KM_create'),
                    path('edit/<int:id>', kata.edit, name='admin_KM_edit'),
                    path('detail/<int:id>', kata.admin_detail, name='admin_KM_detail'),
                    path('soft_delete/<int:id>', kata.softDelete, name='admin_KM_soft_delete'),
                    path('permanent_delete/<int:id>', kata.permanentDelete, name='admin_KM_permanent_delete'),
                    path('restore/<int:id>', kata.restore, name='admin_KM_restore'),
                ]
            )),
            path('Keunggulan/', include(
                [
                    path('', keunggulan.admin_index, name='admin_keunggulan'),
                    path('', keunggulan.admin_index, name='admin_keunggulan'),
                    path('create/', keunggulan.create, name='admin_keunggulan_create'),
                    path('edit/<int:id>', keunggulan.edit, name='admin_keunggulan_edit'),
                    path('detail/<int:id>', keunggulan.admin_detail, name='admin_keunggulan_detail'),
                    path('soft_delete/<int:id>', keunggulan.softDelete, name='admin_keunggulan_soft_delete'),
                    path('permanent_delete/<int:id>', keunggulan.permanentDelete, name='admin_keunggulan_permanent_delete'),
                    path('restore/<int:id>', keunggulan.restore, name='admin_keunggulan_restore'),
                ]
            )),
            path('kategori_mobil/', include(
                [
                    
                    path('', kategorimobil.admin_index, name='admin_kateogri_mobil'),
                    path('create/', kategorimobil.create, name='admin_kategorimobil_create'),
                    path('edit/<int:id>', kategorimobil.edit, name='admin_kategorimobil_edit'),
                    path('detail/<int:id>', kategorimobil.admin_detail, name='admin_kategorimobil_detail'),
                    path('soft_delete/<int:id>', kategorimobil.softDelete, name='admin_kategorimobil_soft_delete'),
                    path('permanent_delete/<int:id>', kategorimobil.permanentDelete, name='admin_kategorimobil_permanent_delete'),
                    path('restore/<int:id>', kategorimobil.restore, name='admin_kategorimobil_restore'),
                ]
            )),

            path('pricelist/', include(
                [
                    path('', pricelists.admin_index, name='admin_pricelist_mobil'),
                    path('create/', pricelists.create, name='admin_pricelist_create'),
                    path('edit/<int:id>/', pricelists.edit, name='admin_pricelist_edit'),
                    path('soft_delete/<int:id>', pricelists.softDelete, name='admin_pricelist_soft_delete'),
                    path('permanent_delete/<int:id>', pricelists.permanentDelete, name='admin_pricelist_permanent_delete'),
                    path('restore/<int:id>', pricelists.restore, name='admin_pricelist_restore'),
                ]
            )),

            path('mobil/', include(
                [
                    path('', mobil.admin_index, name='admin_mobil'),
                    path('create/', mobil.create, name='admin_mobil_create'),
                    path('edit/<int:id>', mobil.edit, name='admin_mobil_edit'),
                    path('detail/<int:id>', mobil.admin_detail, name='admin_mobil_detail'),
                    path('soft_delete/<int:id>', mobil.softDelete, name='admin_mobil_soft_delete'),
                    path('restore/<int:id>', mobil.restore, name='admin_mobil_restore'),
                    path('permanent_delete/<int:id>', mobil.permanentDelete, name='admin_mobil_delete'),
                    
                    path('child/', include(

toyotajogja/urls.py
from django.contrib import admin
from django.urls import path,include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('rizq_sanjaya_app.urls')),
    path('accounts/', include("django.contrib.auth.urls")),
]
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

rizq_sanjaya_app/forms/profile.py
from django import forms
from ..models import *
from PIL import Image
from django.conf import settings
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from django import forms
from captcha.fields import CaptchaField

class CategoryForm(forms.ModelForm):
	class Meta:
		model = Category
		fields = ('id', 'nama','typexs',)

class NewsForm(forms.ModelForm):
	class Meta:
		model = News
		fields = ('title', 'content', 'category', 'tags',)

class RnWForm(forms.ModelForm):
	class Meta:
		model = RnW
		fields = ('jenis', 'deskripsi',)

class NewsThumbnailForm(forms.ModelForm):
	x = forms.FloatField(widget=forms.HiddenInput())
	y = forms.FloatField(widget=forms.HiddenInput())
	width = forms.FloatField(widget=forms.HiddenInput())
	height = forms.FloatField(widget=forms.HiddenInput())

	class Meta:
		model = News
		fields = ('thumbnail', 'x', 'y', 'width', 'height',)

	def save(self):
		news = super(NewsThumbnailForm, self).save()
		x = self.cleaned_data.get('x')
		y = self.cleaned_data.get('y')
		w = self.cleaned_data.get('width')
		h = self.cleaned_data.get('height')

		image = Image.open(news.thumbnail)
		image.save(f"{settings.MEDIA_ROOT}{news.thumbnail.name}")

		## SAVE THUMBNAIL
		# image = Image.open(news.thumbnail)
		# cropped_image = image.crop((x, y, w + x, h + y))
		# cropped_image.save(f"{settings.MEDIA_ROOT}{news.thumbnail.name}")
		lokasi = f"{news.thumbnail.name}"
		hassss = lokasi.replace('artikel/', 'artikel/thumb/')

		tumbnil = image.crop((x, y, w + x, h + y))
		tumbnis = tumbnil.resize((w, h), Image.ANTIALIAS)
		tumbnis.save(f"{settings.MEDIA_ROOT}"+hassss)

		return news
class NewsFormTanpaFile(forms.ModelForm):
	class Meta:
		model = News
		fields = ('title', 'content', 'category', 'tags',)

class GalleryForm(forms.ModelForm):
	class Meta:
		model = Gallery
		fields = ('title', 'keterangan', 'video', 'tags',)

class GalleryFotoForm(forms.ModelForm):
	x = forms.FloatField(widget=forms.HiddenInput())
	y = forms.FloatField(widget=forms.HiddenInput())
	width = forms.FloatField(widget=forms.HiddenInput())
	height = forms.FloatField(widget=forms.HiddenInput())
	
	class Meta:
		model = Gallery
		fields = ('foto',)

	def save(self):
		gallery = super(GalleryFotoForm, self).save()
		x = self.cleaned_data.get('x')
		y = self.cleaned_data.get('y')
		w = self.cleaned_data.get('width')
		h = self.cleaned_data.get('height')

		image = Image.open(gallery.foto)
		cropped_image = image.crop((x, y, w + x, h + y))
		cropped_image.save(f"{settings.MEDIA_ROOT}{gallery.foto.name}")

		return gallery

class AvatarForm(forms.ModelForm):
	x = forms.FloatField(widget=forms.HiddenInput())
	y = forms.FloatField(widget=forms.HiddenInput())
	width = forms.FloatField(widget=forms.HiddenInput())
	height = forms.FloatField(widget=forms.HiddenInput())

	class Meta:
		model = Account
		fields = ('avatar', 'x', 'y', 'width', 'height',)

	def save(self):
		account = super(AvatarForm, self).save()
		x = self.cleaned_data.get('x')
		y = self.cleaned_data.get('y')
		w = self.cleaned_data.get('width')
		h = self.cleaned_data.get('height')

		image = Image.open(account.avatar)
		cropped_image = image.crop((x, y, w + x, h + y))
		cropped_image.save(f"{settings.MEDIA_ROOT}{account.avatar.name}")

		return account

class AccountForm(forms.ModelForm):
	class Meta:
		model = Account
		fields = ('first_name', 'last_name', 'phone', 'date_of_birth')

class RoleForm(forms.ModelForm):
	class Meta:
		model = Account
		fields = ('role',)

class CustomUserCreationForm(UserCreationForm):
	class Meta:
		model = Account
		fields = ('email', 'username', 'first_name', 'last_name', 'role', 'phone', 'date_of_birth',)

class RunningTextForm(forms.ModelForm):
	class Meta:
		model = RunningText
		fields = ('text',)

class LinkForm(forms.ModelForm):
	class Meta:
		model = Link
		fields = ('nama', 'link')

class AppSettingForm(forms.ModelForm):
	class Meta:
		model = AppSetting
		fields = ('nama', 'keterangan')

class CarouselForm(forms.ModelForm):
	class Meta:
		model = Carousel
		fields = ('judul', 'subjudul', 'keterangan', 'link')

class CarouselFotoForm(forms.ModelForm):
	x = forms.FloatField(widget=forms.HiddenInput())
	y = forms.FloatField(widget=forms.HiddenInput())
	width = forms.FloatField(widget=forms.HiddenInput())
	height = forms.FloatField(widget=forms.HiddenInput())
	
	class Meta:
		model = Carousel
		fields = ('foto',)

	def save(self):
		carousel = super(CarouselFotoForm, self).save()
		x = self.cleaned_data.get('x')
		y = self.cleaned_data.get('y')
		w = self.cleaned_data.get('width')
		h = self.cleaned_data.get('height')

		image = Image.open(carousel.foto)
		cropped_image = image.crop((x, y, w + x, h + y))
		cropped_image.save(f"{settings.MEDIA_ROOT}{carousel.foto.name}")

		return carousel

class RunningLinkForm(forms.ModelForm):
	class Meta:
		model = RunningLink
		fields = ('nama', 'link')

class RunningLinkFotoForm(forms.ModelForm):
	x = forms.FloatField(widget=forms.HiddenInput())
	y = forms.FloatField(widget=forms.HiddenInput())
	width = forms.FloatField(widget=forms.HiddenInput())
	height = forms.FloatField(widget=forms.HiddenInput())
	
	class Meta:
		model = RunningLink
		fields = ('logo',)

	def save(self):
		running_link = super(RunningLinkFotoForm, self).save()
		x = self.cleaned_data.get('x')
		y = self.cleaned_data.get('y')
		w = self.cleaned_data.get('width')
		h = self.cleaned_data.get('height')

		image = Image.open(running_link.logo)
		cropped_image = image.crop((x, y, w + x, h + y))
		cropped_image.save(f"{settings.MEDIA_ROOT}{running_link.logo.name}")

		return running_link

class MyCaptcha(forms.Form):
   captcha=CaptchaField()

class AboutMeForm(forms.ModelForm):
	class Meta:
		model = AboutMe
		fields = ('judul', 'deskripsi', 'youtube', 'jenis', 'section',) 

class LayananForm(forms.ModelForm):
	class Meta:
		model = Layanan
		fields = ('judul', 'keterangan', 'icon', 'slug',)

class ProductForm(forms.ModelForm):
	class Meta:
		model = Product
		fields = ('product_name', 'category', 'best_seller', 'description', 'tags', 'harga')

class ProductDiskonForm(forms.ModelForm):
    diskon = forms.CharField(required=False)
    persen_diskon = forms.CharField(required=False)

    class Meta:
        model = Product
        fields = ('diskon', 'persen_diskon')


class ProductImagesForm(forms.ModelForm):
	x = forms.FloatField(widget=forms.HiddenInput())
	y = forms.FloatField(widget=forms.HiddenInput())
	width = forms.FloatField(widget=forms.HiddenInput())
	height = forms.FloatField(widget=forms.HiddenInput())
	
	class Meta:
		model = Product
		fields = ('images', 'x', 'y', 'width', 'height',)

	def save(self):
		product = super(ProductImagesForm, self).save()
		x = self.cleaned_data.get('x')
		y = self.cleaned_data.get('y')
		w = self.cleaned_data.get('width')
		h = self.cleaned_data.get('height')

		image = Image.open(product.images)
		cropped_image = image.crop((x, y, w + x, h + y))
		cropped_image.save(f"{settings.MEDIA_ROOT}{product.images.name}")

		return product

rizq_sanjaya_app/templates/profile/admin/mobil/create.html
{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}
{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/cropper/cropper.min.css' %}">
    <style>
        .crop-preview > canvas {
            width: 100%;
            height: auto;
        }
        .django-ckeditor-widget{
            width: 100% !important;
        }
    </style>
{% endblock css %}

{% block scripts %}
    {% load static %}
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor-init.js' %}"></script>
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>
{% endblock scripts %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_KM' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page"><a href="{% url 'profile:admin_KM' %}">Mobil</a></li>
            <li class="breadcrumb-item active" aria-current="page">{% if edit %}Ubah{% else %}Tambah{% endif %}</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    
    <div class="card mb-5 shadow">
        <h5 class="card-header">{% if edit %}Ubah{% else %}Tambah{% endif %} Mobil</h5>
        <div class="card-body">

            <form method ='post' id="faqForm" enctype ="multipart/form-data" 
            {% if edit %}
                action="{% url 'profile:admin_mobil_edit' mobil.id %}"
            {% else %}
                action="{% url 'profile:admin_mobil_create' %}"
            {% endif %}>
        
           
            {% csrf_token %}
            
            <div class="form-group">
                <label for="deskripsi">Pilih Kategori</label>
                <select name="kategori" id="" class="form-control">
                  {% for kat in form  %}
                    <option {% if kat.id == mobil.kategori_mobil.id %} selected {% endif %} value="{{kat.id}}">{{kat.judul}}</option>
                  {% endfor %}
                </select>
            </div>
            <div class="form-group">
                <label for="deskripsi">Masukan Nama Mobil</label>
                <input type="text" value="{{ mobil.nama }}" name="nama" class="form-control">
            </div>

            <div class="form-group">
                <label for="images">Masukan Foto Mobil</label>
                <input type="file" name="images" class="form-control" multiple>
            </div>
            
            <div class="form-group">
                <label for="harga">Masukan Harga Mobil</label>
                <input type="text" value="{{ mobil.harga }}"  name="harga" class="form-control">
            </div>
            <div class="form-group">
                <label for="deskripsi">Masukan Deskripsi Mobil</label>
                <textarea name="deskripsi" id="deskripsi" class="form-control">{{ mobil.deskripsi }}</textarea>
            </div>

            <div class="form-group">
                <label for="bestSeller">Best Seller?</label>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="best" value="yes" id="yes" {% if mobil.best_seller == 1 %} checked {% endif %}>
                    <label class="form-check-label" for="yes">
                        Yes
                    </label>
                </div>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="best" value="no" id="no" {% if mobil.best_seller == 0 %} checked {% endif %}>
                    <label class="form-check-label" for="no">
                        No
                    </label>
                </div>
            </div>
            

            <!-- <div class="form-row mb-2" id="edit-highlight1 d-none">
                <label class="col-sm-2 col-form-label" for="judul1">Judul Fasilitas</label>
                <div class="col-10">
                    <input type="text" class="form-control"  maxlength="255" name="judul1" id="judul1" value="">
                </div>
            </div>
            <div class="form-row mb-2" id="edit-highlight1 d-none">
                <label class="col-sm-2 col-form-label" for="fasilitas1">Deskripsi Fasilitas</label>
                <div class="col-10">
                    <input type="text" class="form-control"  maxlength="255" name="fasilitas1" id="fasilitas1" value="">
                </div>
            </div>
            <div class="form-row mb-2" id="edit-highlight1 d-none">
                <label class="col-sm-2 col-form-label" for="icon1">Icon Fasilitas</label>
                <div class="col-10">
                    <input type="text" class="form-control"  maxlength="255" name="icon1" id="icon1" value="">
                </div>
            </div>
            <div class="form-group ">
                <label for="f1">Tambah Fasilitas?</label>
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="enablePromo" value="yes" id="enablePromoYes">
                    <label style="margin-right: 30px;" class="form-check-label" for="enablePromoYes">
                        Yes
                    </label>
                    <input class="form-check-input" type="radio" name="enablePromo" value="no" id="enablePromoNo" checked>
                    <label class="form-check-label" for="enablePromoNo">
                        No
                    </label>
                </div>
            </div> -->
           
        </form>
            <button type="submit" class="btn btn-success" id="submitButton"><i class="bi bi-save"></i> Simpan</button>
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %} 
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js" integrity="sha512-3gJwYpMe3QewGELv8k/BX9vcqhryRdzRMxVfq6ngyWXwo03GFEzjsUm8Q7RZcHPHksttq7/GFoxjCVUjkjvPdw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.ckeditor.com/4.16.1/standard/ckeditor.js"></script>
<script>
    CKEDITOR.replace('deskripsi');
</script>
<script>
    $(document).ready(function() {
        var numInputs = 1; // Jumlah inputan awal

        // Ketika ada perubahan pada radio button enablePromo
        $('input[name="enablePromo"]').change(function() {
            if ($(this).val() === 'yes') {
                // Tambahkan inputan baru jika radio button "Yes" dipilih
                numInputs++;
                showInput(numInputs);
                $(this).prop('checked', false); // Uncheck radio button "Yes" setelah ditambahkan inputan baru
            }
        });

        // Fungsi untuk menampilkan inputan
        function showInput(index) {
            var newInput = `
                <div class="form-row mb-2" id="edit-highlight${index}">
                    <label class="col-sm-2 col-form-label" for="judul${index}">Highlight</label>
                    <div class="col-10">
                        <input type="text" class="form-control" required maxlength="255" name="judul${index}" id="judul${index}">
                    </div>
                </div>

                <div class="form-row mb-2" id="edit-lazada${index}">
                    <label class="col-sm-2 col-form-label" for="fasilitas${index}">Pertanyaan</label>
                    <div class="col-10">
                        <input type="text" class="form-control" required maxlength="255" name="fasilitas${index}" id="fasilitas${index}">
                    </div>
                </div>

                <div class="form-row mb-2" id="edit-shope${index}">
                    <label class="col-sm-2 col-form-label" for="icon${index}">Jawaban</label>
                    <div class="col-10">
                        <input type="text" class="form-control" required maxlength="255" name="icon${index}" id="icon${index}">
                    </div>
                </div>
                <br>
            `;

            $('#faqForm').append(newInput);
        }
        $('#submitButton').click(function() {

            $('#faqForm').submit();
        });

    });
</script>
    <script src="{% static 'admin/js/cropper/cropper.min.js' %}"></script>
    <script src="{% static 'admin/js/cropper/jquery-cropper.min.js' %}"></script>
    <script>
        $( document ).ready(function() {
            $(".modal-close").click(function(){
                $("#id_thumbnail").val(null);
            });

            $("#id_thumbnail").change(function () {
                if (this.files && this.files[0]) {
                    let reader = new FileReader();
                    
                    reader.onload = function (e) {
                        $("#image").attr("src", e.target.result);
                        $("#modalCrop").modal("show");
                    }

                    reader.readAsDataURL(this.files[0]);
                }
            });

            let $image = $("#image");
            let cropBoxData;
            let canvasData;

            $("#modalCrop").on("shown.bs.modal", function () {
                $image.cropper({
                    viewMode: 1,
                    aspectRatio: 4/2,
                    minCropBoxWidth: 200,
                    minCropBoxHeight: 200,
                    ready: function () {
                        $image.cropper("setCanvasData", canvasData);
                        $image.cropper("setCropBoxData", cropBoxData);
                }
            });

            }).on("hidden.bs.modal", function () {
                cropBoxData = $image.cropper("getCropBoxData");
                canvasData = $image.cropper("getCanvasData");
                $image.cropper("destroy");
            });

            // Enable zoom in button
            $(".js-zoom-in").click(function () {
                $image.cropper("zoom", 0.1);
            });

            // Enable zoom out button
            $(".js-zoom-out").click(function () {
                $image.cropper("zoom", -0.1);
            });

            $(".js-crop-and-upload").click(function () {
                var cropData = $image.cropper("getData");
                $("#id_x").val(cropData["x"]);
                $("#id_y").val(cropData["y"]);
                $("#id_height").val(cropData["height"]);
                $("#id_width").val(cropData["width"]);
                $("#modalCrop").modal('hide');
                let data;
                let croppedimage = $image.cropper("getCroppedCanvas")
                $(".crop-preview").html(croppedimage);
                $("#old-image").addClass('d-none');
                $("#old-image").hide();
            });
        });
    </script>
{% endblock scripts_bawah %}